Subject: Re: bug#73545: 30.0.91; Strange behaviour on switch-to-next-buffer

From: Rahul Martim Juliato <[email-masked]>
Date: Sun, 29 Sep 2024 09:29:56 -0300

On Sun, Sep 29, 2024 at 08:39:03AM +0300, Eli Zaretskii wrote:
> > From: Rahul Martim Juliato <[email-masked]>
> > Date: Sun, 29 Sep 2024 01:25:21 -0300
> > 
> > I just wanted to report something I found a bit strange.
> > 
> > I would like some keybindings to jump to the next/previous *non-special*
> > buffer.
> > 
> > With these settings:
> > 
> >  (setq switch-to-prev-buffer-skip-regexp "\*[^*]+\*")
> >  (setq switch-to-next-buffer-skip-regexp "\*[^*]+\*")
> > 
> > I have the init.el file open, along with the Messages and scratch
> > buffers.
> 
> Did you forget to double the backslashes?

Yep, I forgot it. Strange thing is, it worked without it :/ 

Let me correct it, what I now have is:

  (setq switch-to-prev-buffer-skip-regexp "\\*[^*]+\\*")

And I wrongly added a switch-to-next-buffer-skip-regexp, which does not
exist, the switch-to-prev-buffer-skip-regexp variable does it for both
prev/next functions.

That said, the behaviour is the same as I first described.

-- 
Rahul Martim Juliato
https://www.rahuljuliato.com

PGP Fingerprint: 6B68 4353 84E2 2C7E 5A26  B79A C666 FC94 BD7E A483
PGP Public Key : https://www.rahuljuliato.com/rahul_pub_key.asc